Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007257TestLinkBug Tracking System - Redmine Integrationpublic2015-09-15 20:332016-09-08 15:13
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007257: Add PROXY config on issuetracker integration via REST API
Descriptionhttp://stackoverflow.com/questions/5211887/how-to-use-curl-via-a-proxy [^]

http://www.jacobward.co.uk/using-proxies-for-scraping-with-php-curl/ [^]

http://www.binarytides.com/use-proxy-with-curl-php/ [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007256closedfman Testlink Connection Failure : Unable to connect to Redmine Hosted in Cloud Via Proxy Configuration 
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0023862)
fman (administrator)
2015-09-15 20:39
edited on: 2015-09-15 20:40

PHP curl with proxy
Here is a simple PHP code snippet requesting given URL using curl and HTTP proxy server.
$loginpassw = 'login:password'; //your proxy login and password here
$proxy_ip = '127.0.0.1'; //proxy IP here
$proxy_port = 8080; //proxy port from your proxy list
$url = 'http://yahoo.com'; [^] //URL to get
 
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HEADER, 0); // no headers in the output
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // output to variable
curl_setopt($ch, CURLOPT_PROXYPORT, $proxy_port);
curl_setopt($ch, CURLOPT_PROXYTYPE, 'HTTP');
curl_setopt($ch, CURLOPT_PROXY, $proxy_ip);
curl_setopt($ch, CURLOPT_PROXYUSERPWD, $loginpassw);
$data = curl_exec($ch);
curl_close($ch);
 
echo $data;

(0023989)
fman (administrator)
2015-09-19 18:03

redmine implementation done
(0025328)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2015-09-15 20:33 fman New Issue
2015-09-15 20:33 fman Status new => assigned
2015-09-15 20:33 fman Assigned To => fman
2015-09-15 20:34 fman Relationship added child of 0007256
2015-09-15 20:35 fman Description Updated View Revisions
2015-09-15 20:38 fman Description Updated View Revisions
2015-09-15 20:39 fman Note Added: 0023862
2015-09-15 20:40 fman Note Edited: 0023862 View Revisions
2015-09-19 17:56 fman View Status private => public
2015-09-19 18:03 fman Note Added: 0023989
2015-09-19 18:04 fman Category General => Bug Tracking System - Redmine Integration
2015-09-19 18:04 fman Fixed in Version => 1.9.15 (2015 Q4)
2015-09-19 18:05 fman Relationship added child of 0007262
2015-09-19 18:18 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-09-19 18:18 fman Status assigned => resolved
2015-09-19 18:18 fman Resolution open => fixed
2016-09-08 15:13 fman Note Added: 0025328
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker